%define	major 6
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define milter	1

%{?_with_milter:   %{expand: %%global milter 1}}
%{?_without_milter:   %{expand: %%global milter 0}}

%if %mdkversion <= 201010
%define subrel 1
%define release %mkrel 0
%else
%define release %mkrel 1
%endif

Summary:	An anti-virus utility for Unix
Name:		clamav
Version:	0.96
Release:	%release
License:	GPL
Group:		File tools
URL:		http://clamav.sourceforge.net/
#Source0:	http://www.clamav.net/%{name}-%{version}.tar.gz
#Source1:	http://www.clamav.net/%{name}-%{version}.tar.gz.sig
# clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
# from Eugene Roshal of RARlabs. There is also patent issues involved.
#
# https://bugzilla.redhat.com/show_bug.cgi?id=334371
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=312552
#
# Both Redhat and debian removes this code from the upstream tar ball
# and repackages it.
Source0:	%{name}-%{version}-norar.tar.bz2
Source2:	clamav-clamd.init
Source3:	clamav-clamd.logrotate
Source4:	clamav-freshclamd.init
Source5:	clamav-freshclam.logrotate
Source6:	clamav-milter.init
Source7:	clamav-milter.sysconfig
Source8:	clamav-milter.logrotate
Source9:	clamav-clamd.sysconfig
Source10:	clamav-freshclam.sysconfig
Patch0:		clamav-mdv_conf.diff
Patch1:		clamav-0.95-linkage_fix.diff
Patch2:		clamav-0.95-build_fix.diff
Patch10:	clamav-0.92-private.patch
Patch11:	clamav-0.92-open.patch
Patch12:	clamav-0.95-cliopts.patch
Patch13:	clamav-0.95rc1-umask.patch
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bc
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	ncurses-devel
BuildRequires:	tommath-devel
BuildRequires:	zlib-devel
%if %{milter}
BuildRequires:	sendmail-devel
BuildRequires:	tcp_wrappers-devel
%endif
Conflicts:	clamd < 0.91
%if %mdkversion == 200600
BuildRequires:	gcc-cpp >= 4.0.1-5.1.20060
BuildRequires:	gcc-c++ >= 4.0.1-5.1.20060
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of this
software is the integration with mail seversions (attachment scanning). The
package provides a flexible and scalable multi-threaded daemon, a commandline
scanner, and a tool for automatic updating via Internet. The programs are based
on a shared library distributed with the Clam AntiVirus package, which you can
use in your own software.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out] milter	Build %{name}-milter (disabled)

%package -n	clamd
Summary:	The Clam AntiVirus Daemon
Group:		System/Servers
Requires:	%{name} = %{version}
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	clamd
The Clam AntiVirus Daemon

%if %{milter}
%package -n	%{name}-milter
Summary:	The Clam AntiVirus milter Daemon
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	clamd = %{version}
Requires:	tcp_wrappers
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-milter
The Clam AntiVirus milter Daemon
%endif

%package -n	%{name}-db
Summary:	Virus database for %{name}
Group:		Databases
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-db
The actual virus database for %{name}

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:          System/Libraries

%description -n	%{libname}
Shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname clamav 1 -d}
Obsoletes:	%{mklibname clamav 2 -d}
Obsoletes:	%{mklibname clamav 3 -d}

%description -n	%{develname}
This package contains the static %{libname} library and its header
files.

%prep

%setup -q -n %{name}-%{version}

# clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*` `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1 -b .mdvconf
%patch1 -p1 -b .linkage_fix
%patch2 -p1 -b .build_fix

%patch10 -p1 -b .private
%patch11 -p1 -b .open
%patch12 -p1 -b .cliopts
%patch13 -p1 -b .umask

mkdir -p libclamunrar{,_iface}
touch libclamunrar/{Makefile.in,all,install}

mkdir -p Mandriva
cp %{SOURCE2} Mandriva/clamav-clamd.init
cp %{SOURCE3} Mandriva/clamav-clamd.logrotate
cp %{SOURCE4} Mandriva/clamav-freshclamd.init
cp %{SOURCE5} Mandriva/clamav-freshclam.logrotate
cp %{SOURCE6} Mandriva/clamav-milter.init
cp %{SOURCE7} Mandriva/clamav-milter.sysconfig
cp %{SOURCE8} Mandriva/clamav-milter.logrotate
cp %{SOURCE9} Mandriva/clamav-clamd.sysconfig
cp %{SOURCE10} Mandriva/clamav-freshclam.sysconfig

%build
%if %mdkversion == 200600
%define __libtoolize /bin/true
%endif

%serverbuild

export CFLAGS="$CFLAGS -I%{_includedir}/tommath"

# IPv6 check is buggy and does not work when there are no IPv6 interface on build machine
export have_cv_ipv6=yes

%configure2_5x \
    --localstatedir=/var/lib \
    --disable-rpath \
    --disable-%{name} \
    --with-user=%{name} \
    --with-group=%{name} \
    --with-dbdir=/var/lib/%{name} \
    --disable-rpath \
    --disable-zlib-vcheck \
    --disable-unrar \
    --enable-clamdtop \
    --enable-id-check \
    --enable-clamuko \
    --enable-bigstack \
    --with-zlib=%{_prefix} \
    --with-libbz2-prefix=%{_prefix} \
    --disable-zlib-vcheck \
    --with-system-tommath \
%if %{milter}
    --enable-milter --with-tcpwrappers \
%else
    --disable-milter --without-tcpwrappers \
%endif

# anti rpath hack
perl -pi -e "s|^sys_lib_dlsearch_path_spec=.*|sys_lib_dlsearch_path_spec=\"/%{_lib} %{_libdir}\"|g" libtool

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# install the init scripts
install -d %{buildroot}%{_initrddir}
install -m755 Mandriva/clamav-clamd.init %{buildroot}%{_initrddir}/clamd
install -m755 Mandriva/clamav-freshclamd.init %{buildroot}%{_initrddir}/freshclam

%if %{milter}
# install the init script
install -m755 Mandriva/clamav-milter.init %{buildroot}%{_initrddir}/clamav-milter
# install the milter config
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m644 Mandriva/clamav-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-milter
%endif

# install config files
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m0644 Mandriva/clamav-clamd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/clamd
install -m0644 Mandriva/clamav-freshclam.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/freshclam

# install the logrotate stuff
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m644 Mandriva/clamav-clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamd
install -m644 Mandriva/clamav-freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam

%if %{milter}
install -m644 Mandriva/clamav-milter.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamav-milter
%endif

install -d %{buildroot}%{_var}/log/%{name}
touch %{buildroot}%{_var}/log/%{name}/freshclam.log
touch %{buildroot}%{_var}/log/%{name}/clamd.log

%if %{milter}
touch %{buildroot}%{_var}/log/%{name}/clamav-milter.log
%endif

# install config files
install -m644 etc/clamd.conf %{buildroot}%{_sysconfdir}/clamd.conf
install -m644 etc/freshclam.conf %{buildroot}%{_sysconfdir}/freshclam.conf

# pid file dir
install -d %{buildroot}%{_var}/run/%{name}

# fix TMPDIR
install -d %{buildroot}/var/lib/%{name}/tmp

cat > README.qmail+qmail-scanner <<EOF
#!/bin/sh
#
# The "temporary" qmail+qmail-scanner HOWTO
# -----------------------------------------
#
# For some unknown and undocumented reason clamdscan stopped working
# in the excellent qmail+qmail-scanner setup somewhere after the
# 20040103 CVS snapshot.
#
# To get it working again everything assigned to the clamav user has
# to be changed to the qscand user by hand.
#
# Hint: Change the config and chown the directories like this:
# (if you are lazy you could just execute this file)

perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/clamd
perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/freshclam
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/clamd.conf
perl -pi -e "s|^DatabaseOwner %{name}|DatabaseOwner qscand|g" %{_sysconfdir}/freshclam.conf

chown -R qscand:qscand /var/lib/%{name}
chown -R qscand:qscand %{_var}/log/%{name}
chown -R qscand:qscand %{_var}/run/%{name}

if [ -x %{_initrddir}/clamd ]; then
    %{_initrddir}/clamd restart
fi

if [ -x %{_initrddir}/freshclam ]; then
    %{_initrddir}/freshclam restart
fi

# Regards // Oden Eriksson
EOF

cat > README.urpmi << EOF
clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
from Eugene Roshal of RARlabs. There is also patent issues involved.

Therefore Mandriva has been forced to remove the offending code.
EOF

%multiarch_binaries %{buildroot}%{_bindir}/clamav-config

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

if ! [ -z "`getent group amavis`" ]; then
    gpasswd -a %{name} amavis
fi

%post
%_post_service freshclam
%create_ghostfile %{_var}/log/%{name}/freshclam.log %{name} %{name} 0644

%preun
%_preun_service freshclam

%pre -n clamd
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n clamd
%_post_service clamd
%create_ghostfile %{_var}/log/%{name}/clamd.log %{name} %{name} 0644

%preun -n clamd
%_preun_service clamd

%postun -n clamd
%_postun_userdel %{name}

%if %{milter}
%post -n %{name}-milter
%_post_service %{name}-milter
%create_ghostfile %{_var}/log/%{name}/clamav-milter.log %{name} %{name} 0644

%preun -n %{name}-milter
%_preun_service %{name}-milter
%endif

%pre -n %{name}-db
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n %{name}-db
# try to keep most uptodate database
for i in main daily; do
	if [ -f %{_var}/lib/clamav/$i.cvd.rpmnew ]; then
		if [ %{_var}/lib/clamav/$i.cvd.rpmnew -nt %{_var}/lib/clamav/$i.cvd ]; then
			mv -f %{_var}/lib/clamav/$i.cvd.rpmnew %{_var}/lib/clamav/$i.cvd
		else
			rm -f %{_var}/lib/clamav/$i.cvd.rpmnew
		fi
	fi
done

%postun -n %{name}-db
%_postun_userdel %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS FAQ NEWS README test UPGRADE README.urpmi
%doc docs/*.pdf
%doc README.qmail+qmail-scanner COPYING*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/freshclam
%attr(0755,root,root) %{_initrddir}/freshclam
%{_bindir}/clambc
%{_bindir}/clamconf
%{_bindir}/clamdscan
%{_bindir}/clamdtop
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_mandir}/man1/clamconf.1.*
%{_mandir}/man1/clamdscan.1*
%{_mandir}/man1/clamdtop.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*
%{_mandir}/man1/sigtool.1*
%{_mandir}/man5/clamd.conf.5*
%{_mandir}/man5/freshclam.conf.5*
%if !%{milter}
%exclude %{_mandir}/man8/%{name}-milter.8*
%endif
%dir %attr(0755,%{name},%{name}) %{_var}/run/%{name}
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}
%dir %attr(0775,%{name},%{name}) %{_var}/log/%{name}
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/freshclam.log

%files -n clamd
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/clamd
%attr(0755,root,root) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_mandir}/man8/clamd.8*
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/clamd.log

%if %{milter}
%files -n %{name}-milter
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamav-milter.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-milter
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamav-milter
%attr(0755,root,root) %{_initrddir}/%{name}-milter
%{_sbindir}/%{name}-milter
%{_mandir}/man8/%{name}-milter.8*
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/clamav-milter.log
%endif

%files -n %{name}-db
%defattr(-,root,root)
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/daily.cvd
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/main.cvd
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}/tmp

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/clamav-config
%{_bindir}/clamav-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/libclamav.pc


%changelog
* Wed May 19 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.96-0.1mdv2009.1
+ Revision: 545293
- 0.96

* Mon Apr 13 2009 Dimitri Teleguin <mitya@mandriva.org> 0.95.1-2mdv2009.1
+ Revision: 366785
- bump rel
- Bring clamav-milter back to life

* Thu Apr 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95.1-1mdv2009.1
+ Revision: 365397
- 0.95.1 (bugfix release)
- rediffed the mdv_conf patch
- drop the MaxQueue patch, it's implemented upstream

* Mon Apr 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2009.1
+ Revision: 364442
- 0.95
- take the same stance as redhat and debian and nuke the rar v3
  code (libclamav) due to licensing and patent issues
- rediff patches
- added some patches from fedora

* Wed Mar 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-5mdv2009.1
+ Revision: 357201
- fix #48633 (Fix for -Werror=format-security breaks clamav-milter)

* Tue Feb 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-4mdv2009.1
+ Revision: 336905
- fix #46554 (Clamav-milter requires _disable_ld_as_needed)
- fix #46555 (clamav-milter-0.94 not included in 2009.0)
- fix #46556 (Clamav-milter wants to remove postfix)
- fixed linkage order for clamav-milter (P1)
- fixed build with -Werror=format-security (P2)

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-3mdv2009.1
+ Revision: 315513
- fix #46459 (update unexpectely changes location of clamd socket)

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-2mdv2009.1
+ Revision: 310774
- fix backporting (vdanen)

* Wed Dec 03 2008 Jérôme Soyer <saispo@mandriva.org> 0.94.2-1mdv2009.1
+ Revision: 309669
- New Release 0.94.2

* Fri Nov 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-3mdv2009.1
+ Revision: 303199
- make it build on 2007.1 as well

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-2mdv2009.1
+ Revision: 299654
- make it build on cs4 (funky libtool)

* Mon Nov 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-1mdv2009.1
+ Revision: 299630
- 0.94.1
- 0.94.1rc1

* Fri Sep 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94-2mdv2009.0
+ Revision: 284145
- get rid of the "-exp" warning

* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94-1mdv2009.0
+ Revision: 280461
- 0.94

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93.3-1mdv2009.0
+ Revision: 232784
- 0.93.3

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93.1-1mdv2009.0
+ Revision: 217476
- 0.93.1
- hardcode %%{_localstatedir}
- disable building the sendmail milter for now
- clamdmon is gone, bye bye...
- 0.93.1rc1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Apr 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93-1mdv2009.0
+ Revision: 194684
- 0.93
- new major (4)
- rediffed P0
- revert the "conform to the 2008 specs (don't start the services per
  default)" changes in S2 and S4 and let this be handled some other way...

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92.1-2mdv2008.1
+ Revision: 190310
- really don't start the services per default

* Tue Feb 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92.1-1mdv2008.1
+ Revision: 166108
- 0.92.1 (Minor security fixes)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.92-5mdv2008.1
+ Revision: 157241
- rebuild with fixed %%serverbuild macro

* Thu Jan 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-4mdv2008.1
+ Revision: 147552
- gcc 4.0.1 is fixed in cs4, so no need to use gcc3.3 anymore

* Wed Jan 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-3mdv2008.1
+ Revision: 147360
- revert some of the last changes (vdanen)

* Wed Jan 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-2mdv2008.1
+ Revision: 147209
- added changes requested by vdanen
- minor spec file changes

* Tue Dec 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.92-1mdv2008.1
+ Revision: 132269
- 0.92
- make it build on cs4 with gcc3.3 due to a bug in gcc-4.0.1
- rediffed P0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-4mdv2008.0
+ Revision: 78192
- rebuild

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-3mdv2008.0
+ Revision: 78037
- rebuild

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-2mdv2008.0
+ Revision: 77596
- fix deps (duh!)

* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-1mdv2008.0
+ Revision: 68357
- 0.91.2 (Minor security fixes)
- conform to the 2008 specs (don't start the services per default)

* Thu Jul 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.1-2mdv2008.0
+ Revision: 55927
- applied a patch by vdanen:
  - spec adjustments to build for older releases (like firefox, we'll take the cooker
    spec to build for all supported platforms)

* Tue Jul 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.1-1mdv2008.0
+ Revision: 52851
- 0.91.1
- drop upstream implemented patches
- only the clamav package now provides /etc/clamd.conf, fix deps accordingly

* Mon Jul 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-3mdv2008.0
+ Revision: 52445
- grab the diff (P1) from svn instead

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Enabled FixStaleSocket in clamd.conf
    - Added Patch1 from svn about crashing in phishing check (from DEB).

* Thu Jul 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-2mdv2008.0
+ Revision: 51651
- clamav is in cs3, so some spec magic is still needed
- fix a small typo in the patch

* Wed Jul 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-1mdv2008.0
+ Revision: 51318
- 0.91
- rediffed P0
- spec file cleansing

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.3-2mdv2008.0
+ Revision: 43738
- use the new %%serverbuild macro
- enable experimental code (anti-phishing will be default in 0.91)

* Thu May 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.3-1mdv2008.0
+ Revision: 33141
- 0.90.3 (Minor security fixes)

* Wed May 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-5mdv2008.0
+ Revision: 32890
- Revert change of clamd.conf being duplicated in two subpackages, talk
  with Oden.

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-4mdv2008.0
+ Revision: 26164
- Duh, disregard my last commit where it says "clamd.conf belongs to
  clamav package files section". clamd.conf obviously must be part of
  clamd package, so the duplicated entry removed should be the one
  inside clamav. Also, move clamd.conf manpage to the right place.

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-3mdv2008.0
+ Revision: 26002
- Removed duplicated entry of clamd.conf file inside clamd subpackage
  files section (clamd.conf belongs to clamav package files section).

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-2mdv2008.0
+ Revision: 25350
- Enabled AllowSupplementaryGroups in default clamd.conf shipped with
  package (mdv-config patch). This allows clamav to be used with amavis
  as reported by Colin Guthrie on ticket #30536.

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.2-1mdv2008.0
+ Revision: 14031
- 0.90.2


* Tue Mar 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-8mdv2007.1
+ Revision: 148958
- fix a rare seen bug #28001

* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-7mdv2007.1
+ Revision: 138735
- use -fstack-protector-all on later gcc only

* Thu Mar 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-6mdv2007.1
+ Revision: 137663
- pass -fstack-protector-all to the CFLAGS

* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.90.1-5mdv2007.1
+ Revision: 133698
- i hope this will fix #29133

* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-4mdv2007.1
+ Revision: 132111
- fix the clamdmon build and execution

* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-3mdv2007.1
+ Revision: 132034
- fix wrong version in clamdmon ( )

  + Anssi Hannula <anssi@mandriva.org>
    - ensure major correctness

* Sat Mar 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.1-2mdv2007.1
+ Revision: 131880
- bump major

* Fri Mar 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.90.1-1mdv2007.1
+ Revision: 131612
- update to 0.90.1 version

* Wed Feb 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90-2mdv2007.1
+ Revision: 120938
- make it work
- added the clamdmon sub package

* Wed Feb 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.90-1mdv2007.1
+ Revision: 120688
- new version 0.90
- update patch 0
- own some files

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.7-1mdv2007.1
+ Revision: 95314
- 0.88.7 (Minor security fixes)

* Thu Nov 23 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.6-2mdv2007.1
+ Revision: 86814
- rebuilt due to new curl

* Mon Nov 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.6-1mdv2007.1
+ Revision: 77018
- 0.88.6 (Minor feature enhancements)

* Tue Oct 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.5-1mdv2007.0
+ Revision: 65710
- oops!, forgot to update the version...
- 0.88.5 (Minor security fixes)
- rebuild
- bzip2 cleanup
- bunzip sources and patches
- Import clamav

* Thu Sep 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.4-2mdv2007.0
- added pinit support in S2 & S4, fixes #24221

* Wed Aug 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.4-1mdv2007.0
- 0.88.4 (Minor security fixes)

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.3-1mdv2007.0
- 0.88.3 (Minor bugfixes)

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.2-2mdk
- don't trash the pdf files (#22538)

* Mon May 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.2-1mdk
- 0.88.2 (Minor bugfixes)

* Wed Apr 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.1-1mdk
- 0.88.1

* Mon Jan 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88-1mdk
- 0.88

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.87.1-5mdk
- do better grepping when touching the logfiles (#20514)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.87.1-4mdk
- rebuilt due to package loss

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.87.1-3mdk
- rebuilt against openssl-0.9.8a

* Sat Nov 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.87.1-2mdk
- rebuilt because lib64clamav2-0.87.1-1mdk was lost in cyber space

* Fri Nov 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.87.1-1mdk
- 0.87.1 (Major bugfixes)

* Sat Sep 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.87-1mdk
- 0.87

* Tue Jul 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.2-1mdk
- 0.86.2

* Sun Jul 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-4mdk
- don't add the amavis group in %%pre, use other means to add the
  clamav user to amavis group, and only if the amavis group exists

* Thu Jul 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.86.1-3mdk
- provide compatability macros for rebuilders who dont follow
  development changes that would make their lives easier
- dos2unix was in contrib up to (and incluing) 10.1

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-2mdk
- make it easier to build on older releases (eg. mdk updates)
- don't ship the Windows crap (Buchan Milne)

* Mon Jun 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-1mdk
- 0.86.1

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86-1mdk
- 0.86
- drop the singlewrite patch, it's implemented upstream

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-3mdk
- fix #16395 (S3 and S5)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-2mdk
- added P1 by Denis Vlasenko (applied in CVS)

* Wed May 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-1mdk
- 0.85.1

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-4mdk
- don't trash the databases..., this dos2unix command sure is 
  destructive...

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-3mdk
- use new rpm-4.4.x pre,post magic
- use better anti ^M stripper

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-2mdk
- rebuilt with correct "/var/lib/clamav" location (#15980)

* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85

* Sat Apr 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.84-1mdk
- 0.84
- drop the "gentle warning" patch, a similar "fix" is 
  implemented upstream

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-6mdk
- use the %%mkrel macro

* Thu Mar 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-5mdk
- fix deps and conditional %%multiarch

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-4mdk
- reverting the previous "fix"...

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-3mdk
- for some reason the default DatabaseMirror ns rr was not
  working, fixed (fixes #13869)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-2mdk
- added an "anti panic patch" (P1) ;)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-1mdk
- 0.83
- fix some rpmlint errors
- rediffed P0
- strip away annoying ^M

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.82-1mdk
- 0.82
- drop cvs fixes patch, it's implemented upstream

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-4mdk
- exclude the clamav-milter.8 man page if built without milter

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-3mdk
- new P1
- mention the conditional build switch in the description

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-2mdk
- added P1 in an attempt to fix #13355, P1 also fixes various
  other issues

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-1mdk
- 0.81
- we were allready shipping the clamav source, so.. there's little
  point of nuking the M$ *.exe binary...
- please mrlint in the requires-on-release quest
- misc spec file fixes

* Thu Jan 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-0.rc1.1mdk
- fix release string (duh!)

* Thu Jan 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-0.rc1.1mdk
- 0.81rc1
- drop the libtool patch by Gwenole Beauchesne, it's merged upstream
- fix deps
- fix P0 and TMPDIR

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-8mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-7mdk
- applied fixes by Bill Randle
- handle log file creation in the sysv scripts too, cleanup these
  scripts some
- misc spec file fixes

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-6mdk
- rebuilt due to missing clamd package

* Thu Nov 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.80-5mdk
- libtool fixes

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-4mdk
- use "export EGREP=egrep" as suggested by Luca Berra in an 
  attempt to fix build on x86_64

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-3mdk
- since the libs won't provide, we need to require them

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-2mdk
- fix a silly groups typo

* Tue Oct 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-1mdk
- 0.80
- rediffed P0
- add the freshclam init script (S3)
- reorder and rename S1 - S6
- fix S6
- change so that client parts belongs to the main clamav package
- fix deps
- misc spec file fixes

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- use "-1mdk" ;) (catched by Bill Randle)

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- 0.75.1 (bugfix release)

* Fri Jul 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-2mdk
- 0.75-1 (bugfix release)

* Sat Jul 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-1mdk
- 0.75

* Thu Jul 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.74-1mdk
- 0.74

* Wed Jun 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.73-1mdk
- 0.73
- drop P2, it's in there

* Fri Jun 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-1mdk
- 0.72

* Fri Jun 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-0.1mdk
- 0.72 (from cvs)

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-3mdk
- added P2 from PLD

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-2mdk
- added fixes by Bill Randle <billr@neocat.org>:
  | drop S9 (not needed as default mdk install does not run amavisd chroot)
  | add German docs
  | add --with/--without freshclamhourly option for hourly+random offset
  | freshclam runs
  | add P1
  | add clamav user to amavis group
  | drop unneeded mdk92/mdk100 defines
- fixed a more convenient README.qmail+qmail-scanner file ;)
- don't ship the *.exe file, put contrib sources in the devel sub package

* Sat May 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-1mdk
- 0.71
- rediffed P0
- drop clamdmail, eventually it will be a stand alone package, if 
  it's better maintained

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-2mdk
- remove stuff that always enable build of clamdmail (thanks 
  Luca Berra <bluca@comedia.it>)

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-1mdk
- 0.70
- clamdmail-0.15a
- merge static devel into devel
- added fixes by Bill Randle <billr@neocat.org>:
  - rediff Patch0
  - additonal doc files
  - create Patch1 for clamdmail
  - clamav.clamav+amavisd-new-fixup.sh script
  - change start priority for clamd so it starts before clamav-milter
    (reported by and suggested fix by jbolin@users.sourceforge.net)

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.68-1mdk
- 0.68-1
- drop P1
- fix P0

